USRP Hardware Driver and USRP Manual: uhd::soft_register_sync_t< reg_data_t, readable, writable > Class Template Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::soft_register_sync_t< reg_data_t, readable, writable > Class Template Reference

`#include <uhd/utils/soft_register.hpp>`

Inheritance diagram for uhd::soft_register_sync_t< reg_data_t, readable, writable >:

## Public Types
typedef std::shared_ptr< soft_register_sync_t< reg_data_t, readable, writable > > | sptr
Public Types inherited from uhd::soft_register_t< reg_data_t, readable, writable >
typedef std::shared_ptr< soft_register_t< reg_data_t, readable, writable > > | sptr

## Public Member Functions
| soft_register_sync_t (wb_iface::wb_addr_type wr_addr, wb_iface::wb_addr_type rd_addr, soft_reg_flush_mode_t mode=ALWAYS_FLUSH)
| soft_register_sync_t (wb_iface::wb_addr_type addr, soft_reg_flush_mode_t mode=ALWAYS_FLUSH)
UHD_INLINE void | initialize (wb_iface &iface, bool sync=false)
UHD_INLINE void | set (const soft_reg_field_t field, const reg_data_t value)
UHD_INLINE reg_data_t | get (const soft_reg_field_t field)
UHD_INLINE void | flush ()
UHD_INLINE void | refresh ()
UHD_INLINE void | write (const soft_reg_field_t field, const reg_data_t value)
UHD_INLINE reg_data_t | read (const soft_reg_field_t field)
Public Member Functions inherited from uhd::soft_register_t< reg_data_t, readable, writable >
| soft_register_t (wb_iface::wb_addr_type wr_addr, wb_iface::wb_addr_type rd_addr, soft_reg_flush_mode_t mode=ALWAYS_FLUSH)
| soft_register_t (wb_iface::wb_addr_type addr, soft_reg_flush_mode_t mode=ALWAYS_FLUSH)
UHD_INLINE void | initialize (wb_iface &iface, bool sync=false) override
UHD_INLINE void | set (const soft_reg_field_t field, const reg_data_t value)
UHD_INLINE reg_data_t | get (const soft_reg_field_t field)
UHD_INLINE void | flush () override
UHD_INLINE void | refresh () override
UHD_INLINE void | write (const soft_reg_field_t field, const reg_data_t value)
UHD_INLINE reg_data_t | read (const soft_reg_field_t field)
UHD_INLINE size_t | get_bitwidth () override
UHD_INLINE bool | is_readable () override
UHD_INLINE bool | is_writable () override
Public Member Functions inherited from uhd::soft_register_base
virtual | ~soft_register_base ()

## Additional Inherited Members
Static Public Member Functions inherited from uhd::soft_register_base
template<typename soft_reg_t>
static UHD_INLINE soft_reg_t & | cast (soft_register_base &reg)
Static Public Attributes inherited from uhd::soft_register_t< reg_data_t, readable, writable >
static const uhd::soft_reg_field_t | REGISTER = (((0 & 0xFF) << 8) | (sizeof(reg_data_t) * 8 & 0xFF))

## Detailed Description

template<typename reg_data_t, bool readable, bool writable>
class uhd::soft_register_sync_t< reg_data_t, readable, writable >

A synchronized soft register object. All operations in the synchronized register are serialized.

## Member Typedef Documentation

## ◆ sptr

template<typename reg_data_t, bool readable, bool writable>

typedef std::shared_ptr<soft_register_sync_t<reg_data_t, readable, writable> > uhd::soft_register_sync_t< reg_data_t, readable, writable >::sptr

## Constructor & Destructor Documentation

## ◆ soft_register_sync_t() [1/2]

template<typename reg_data_t, bool readable, bool writable>

uhd::soft_register_sync_t< reg_data_t, readable, writable >::soft_register_sync_t | ( | wb_iface::wb_addr_type | wr_addr,
|  | wb_iface::wb_addr_type | rd_addr,
|  | soft_reg_flush_mode_t | mode = ALWAYS_FLUSH )
| inline

## ◆ soft_register_sync_t() [2/2]

template<typename reg_data_t, bool readable, bool writable>

uhd::soft_register_sync_t< reg_data_t, readable, writable >::soft_register_sync_t | ( | wb_iface::wb_addr_type | addr,
|  | soft_reg_flush_mode_t | mode = ALWAYS_FLUSH )
| inlineexplicit

## Member Function Documentation

## ◆ flush()

template<typename reg_data_t, bool readable, bool writable>

UHD_INLINE void uhd::soft_register_sync_t< reg_data_t, readable, writable >::flush | ( |  | ) |
| inlinevirtual

Implements uhd::soft_register_base.

## ◆ get()

template<typename reg_data_t, bool readable, bool writable>

UHD_INLINE reg_data_t uhd::soft_register_sync_t< reg_data_t, readable, writable >::get | ( | const soft_reg_field_t | field | ) |
| inline

## ◆ initialize()

template<typename reg_data_t, bool readable, bool writable>

UHD_INLINE void uhd::soft_register_sync_t< reg_data_t, readable, writable >::initialize | ( | wb_iface & | iface,
|  | bool | sync = false )
| inlinevirtual

Implements uhd::soft_register_base.

## ◆ read()

template<typename reg_data_t, bool readable, bool writable>

UHD_INLINE reg_data_t uhd::soft_register_sync_t< reg_data_t, readable, writable >::read | ( | const soft_reg_field_t | field | ) |
| inline

## ◆ refresh()

template<typename reg_data_t, bool readable, bool writable>

UHD_INLINE void uhd::soft_register_sync_t< reg_data_t, readable, writable >::refresh | ( |  | ) |
| inlinevirtual

Implements uhd::soft_register_base.

## ◆ set()

template<typename reg_data_t, bool readable, bool writable>

UHD_INLINE void uhd::soft_register_sync_t< reg_data_t, readable, writable >::set | ( | const soft_reg_field_t | field,
|  | const reg_data_t | value )
| inline

## ◆ write()

template<typename reg_data_t, bool readable, bool writable>

UHD_INLINE void uhd::soft_register_sync_t< reg_data_t, readable, writable >::write | ( | const soft_reg_field_t | field,
|  | const reg_data_t | value )
| inline

The documentation for this class was generated from the following file:

- soft_register.hpp